package com.composition.android.lib.ad.impl

import com.composition.android.lib.ad.AdManager
import com.composition.android.lib.ad.basic.strategy.IStrategy
import com.convenient.android.common.extension.isNetworkAvailable


/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/1
 * description:默认的广告展示策略，默认一直可以加载展示
 */
class NormalStrategy : IStrategy {

    override fun allow(): Boolean {
        if (AdManager.instance.enableAd.not()) return false
        if (AdManager.instance.context.isNetworkAvailable().not()) return false
        return true
    }



}